3 Replies Latest reply: Dec 28, 2011 4:15 PM by Carolyn Samit Branched to a new discussion.
donaldfromlivingston Level 1 Level 1 (0 points)

I originally purchased Aperture 3 for my MacBook Air via the App Store. There is now an update available to version 3.2.2.

 

When I follow the download process to update I get the message:

We could not complete your purchase.

The product distribution file could not be verified. It may be damaged or was not signed.

 

There are other discussions advising deleting the App Store then downloading the Snow Leopard 10.6.6 combo update to resolve this problem but my MBA is running Lion 10.7.x (as supplied, not upgraded).

 

I have two questions:

 

1. If I try to delete the App Store (by dragging it to the Trash) I get a message telling me is cannot be modified or deleted as it is part of the OS. So how would I proceed if downloading the 10.6.6 update is necessary?

 

2. Is it OK to download and install an update for an earlier version of OSX as I would be doing if I followed the suggested resolution?

 

 

From browsing the support discussions this seems to be a common problem for OSX 10.7 Lion users. I would expect a resolution via Software Update but all Software Updates are up to date on my MBA.


MacBook Air, Mac OS X (10.7.2)